Portfolio

Create a fund-level other-income distribution

POST/portfolio/transactions/distributions/fund/other-income

Distributes other income (non-dividend, non-redemption) at the fund level.

Request body

application/json, required · PortfolioCreateFundDistributionOtherIncomeRequest

  • asset_idintegerRequired#
  • investor_idinteger | null#
  • settlement_datestring (date-time)Required#
  • total_unitsnumberRequired#
  • price_per_unitnumberRequired#
  • gross_valuenumberRequired#
  • currencystringRequired#
  • descriptionstring#
  • taxnumber#
{
  "asset_id": 1,
  "investor_id": 1,
  "settlement_date": "2026-06-12T10:00:00+00:00",
  "total_units": 1,
  "price_per_unit": 1,
  "gross_value": 1,
  "currency": "string",
  "description": "string",
  "investment_type": "cash",
  "tax": 1
}

Responses

200
201
422

Validation error

Examples

curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/transactions/distributions/fund/other-income\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{
  "asset_id": 1,
  "investor_id": 1,
  "settlement_date": "2026-06-12T10:00:00+00:00",
  "total_units": 1,
  "price_per_unit": 1,
  "gross_value": 1,
  "currency": "string",
  "description": "string",
  "investment_type": "cash",
  "tax": 1
}'